diff --git i/tmux-thumbs.sh w/tmux-thumbs.sh
index 7e060e8..e7f0c57 100755
--- i/tmux-thumbs.sh
+++ w/tmux-thumbs.sh
@@ -1,22 +1,6 @@
 #!/usr/bin/env bash
 set -Eeu -o pipefail
 
-# Setup env variables to be compatible with compiled and bundled installations
-CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-RELEASE_DIR="${CURRENT_DIR}/target/release"
-
-THUMBS_BINARY="${RELEASE_DIR}/thumbs"
-TMUX_THUMBS_BINARY="${RELEASE_DIR}/tmux-thumbs"
-VERSION=$(grep 'version =' "${CURRENT_DIR}/Cargo.toml" | grep -o "\".*\"" | sed 's/"//g')
-
-if [ ! -f "$THUMBS_BINARY" ]; then
-  tmux split-window "cd ${CURRENT_DIR} && bash ./tmux-thumbs-install.sh"
-  exit
-elif [[ $(${THUMBS_BINARY} --version) != "thumbs ${VERSION}"  ]]; then
-  tmux split-window "cd ${CURRENT_DIR} && bash ./tmux-thumbs-install.sh update"
-  exit
-fi
-
 function get-opt-value() {
   tmux show -vg "@thumbs-${1}" 2> /dev/null
 }
@@ -35,7 +19,7 @@ function get-opt-arg() {
   fi
 }
 
-PARAMS=(--dir "${CURRENT_DIR}")
+PARAMS=(--dir @tmuxThumbsDir@)
 
 function add-param() {
   local type opt arg
@@ -50,4 +34,4 @@ add-param upcase-command string
 add-param multi-command  string
 add-param osc52          boolean
 
-"${TMUX_THUMBS_BINARY}" "${PARAMS[@]}" || true
+@tmuxThumbsDir@/tmux-thumbs "${PARAMS[@]}" || true
